package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("MinorBlock")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MinorBlock implements RPCBody {
	private long blockIndex;
	private java.time.OffsetDateTime blockTime;

    //
	public long getBlockIndex() {
	    return blockIndex;
	}
	public void setBlockIndex(final long value) {
	    this.blockIndex = value;
	}

	public MinorBlock blockIndex(final long value) {
	    setBlockIndex(value);
	    return this;
	}
	public java.time.OffsetDateTime getBlockTime() {
	    return blockTime;
	}
	public void setBlockTime(final java.time.OffsetDateTime value) {
	    this.blockTime = value;
	}

	public MinorBlock blockTime(final java.time.OffsetDateTime value) {
	    setBlockTime(value);
	    return this;
	}
}
